import architecture from "./architecture.txt?raw";
import provinces from "./provinces.txt?raw";
import {compileNewMap} from "../../newmap.ts";

const mapBloodBank = compileNewMap({
  id: "mapBloodBank",
  data: {
    architecture: architecture,
    provinces: provinces,
  },
  pickups: {
    // "*": itemGecko,
    stat: {primary: "AGI", secondary: "INT"},
    // "!": {"item": "colonialGoose"},
  },
  provinces: {
    a: "Blood Bank",
    b: "Special Reserve",
    c: "Freezer",
  },
  checks: {
    1: null!,
    2: null!,
  }
})

export default mapBloodBank;