import architecture from "./architecture.txt?raw";
import provinces from "./provinces.txt?raw";
import {compileNewMap} from "../../newmap.ts";

const mapCoffeeShop = compileNewMap({
  id: "mapCoffeeShop",
  data: {
    architecture: architecture,
    provinces: provinces,
  },
  pickups: {
    // "*": itemGecko,
    stat: {primary: "PSI", secondary: "CHA"},
    // "!": {"item": "colonialGoose"},
  },
  provinces: {
    a: "Coffee Shop",
    b: "Studio",
    c: "Personal Photo Room",
  },
  checks: {
    1: null!,
    2: null!,
  }
})

export default mapCoffeeShop;