import {Sprite} from "./engine/internal/sprite.ts";
/*
import imgBat from "./art/characters/bat.png";
import imgKobold from "./art/characters/kobold.png";
import imgRobot from "./art/characters/robot.png";
import imgSnake from "./art/characters/snake.png";
 */
import imgRaccoon from "./art/characters/raccoon.png";
import imgRaccoonWalking from "./art/characters/raccoon_walking.png";
import imgResourcePickup from "./art/pickups/resources.png";
import imgStatPickup from "./art/pickups/stats.png";
import imgLadder from "./art/pickups/ladder.png";
import imgDrips from "./art/tilesets/drips.png";
import {Point, Size} from "./engine/datatypes.ts";

/*
export let sprBat = new Sprite(imgBat, 64, 64, 32, 32, 1, 1, 1);
export let sprKobold = new Sprite(imgKobold, 64, 64, 32, 32, 1, 1, 1);
export let sprRobot = new Sprite(imgRobot, 64, 64, 32, 32, 1, 1, 1);
export let sprSnake = new Sprite(imgSnake, 64, 64, 32, 32, 1, 1, 1);
 */

export let sprRaccoon = new Sprite(
  imgRaccoon,
  new Size(64, 64), new Point(32, 32), new Size(1, 1),
  1
);
export let sprRaccoonWalking = new Sprite(
  imgRaccoonWalking,
  new Size(64, 64), new Point(32, 32), new Size(8, 1),
  8
);
export let sprResourcePickup = new Sprite(
  imgResourcePickup, new Size(32, 32), new Point(16, 16),
  new Size(1, 1), 1
);

export let sprStatPickup = new Sprite(
  imgStatPickup, new Size(32, 32), new Point(16, 16),
  new Size(4, 1), 4
);

export let sprDrips = new Sprite(
  imgDrips, new Size(32, 16), new Point(16, 0),
  new Size(2, 1), 2
);

export let sprLadder = new Sprite(
  imgLadder, new Size(32, 24), new Point(0, 0),
  new Size(1, 1), 1
);
